<?php
/**
 * Custom stylesheet
 *
 * @package Neblue
 */

function vs_inline_styles() {

  $inline_styles = '';

  $design_primary_color = get_theme_mod( 'design_primary_color', '#105cb6' );
  if ( '#105cb6' !== $design_primary_color ) {
    $inline_styles .= '
a,

a:hover,
a:focus,
a:active,

.site-title a:hover,
.site-title a:focus,
.site-title a:active,

.header-social .social-links-wrap a:hover i,
.header-social .social-links-wrap a:focus i,

.navbar .navbar-nav a:hover,
.navbar .navbar-nav a:focus,

.navbar .navbar-nav .current-menu-ancestor > a,
.navbar .navbar-nav .current-menu-item > a,

.toggle-offcanvas,

.about-author-name a:hover,

.archive-wrap .archive-full .entry-header .entry-title a:hover,
.archive-wrap .archive-full .entry-header .entry-title a:focus,

.entry-footer a:hover,
.entry-footer a:focus,

.widget a:hover,
.widget a:focus,

.comment-meta a:hover,
.comment-meta a:focus,

.comment-meta .fn a:hover,
.comment-meta .fn a:focus,

.comment-form .logged-in-as a:hover,
.comment-form .logged-in-as a:focus,

.post-prev-next .link-item a:hover,
.post-prev-next .link-item a:focus,

.site-info-inner a:hover,
.site-info-inner a:focus,

.owl-theme .owl-controls .owl-page:hover span, 
.owl-theme .owl-controls .owl-page:focus span, 
.owl-theme .owl-controls .active span,

.slider-wrap .owl-theme .owl-controls .owl-buttons div {
  color: '.$design_primary_color.';
}

button,
input[type="button"],
input[type="reset"],
input[type="submit"],

.entry-content .more-link:hover,
.entry-content .more-link:focus,

.entry-more a:hover,
.entry-more a:focus,

.widget_tag_cloud .tagcloud a:hover,
.widget_tag_cloud .tagcloud a:focus,

.pagination .nav-links a:hover,
.pagination .nav-links a:focus,

.pagination .nav-links .current,

.vs-scroll-to-top,

.slider-title a,

.owl-theme .owl-controls .owl-page:hover span, 
.owl-theme .owl-controls .owl-page:focus span, 
.owl-theme .owl-controls .active span {
  background-color: '.$design_primary_color.';
}

blockquote,

input[type="text"]:focus,
input[type="email"]:focus,
input[type="url"]:focus,
input[type="password"]:focus,
input[type="search"]:focus,
input[type="number"]:focus,
input[type="tel"]:focus,
input[type="range"]:focus,
input[type="date"]:focus,
input[type="month"]:focus,
input[type="week"]:focus,
input[type="time"]:focus,
input[type="datetime"]:focus,
input[type="datetime-local"]:focus,
input[type="color"]:focus,
textarea:focus {
  border-color: '.$design_primary_color.';
}
    ';
  }

  wp_add_inline_style( 'vs-styles', $inline_styles );
}
add_action( 'wp_enqueue_scripts', 'vs_inline_styles' );
