<?php
/**
 * Template part post content
 *
 * @package Neblue
 */

?>
<article <?php post_class( 'entry' ); ?>>
  
    <?php
    if ( has_post_thumbnail() ) {
    ?>
    <div class="entry-thumbnail">
      <?php the_post_thumbnail();?>
    </div>
    <?php
    }
    ?>

  <div class="post-content">

      <div class="entry-header">
        <h1 class="entry-title"><?php the_title(); ?></h1>
      </div>

      <?php do_action( 'vs_post_content_start' ); ?>
      <div class="entry-content">
        <?php
        the_content();
        ?>
      </div>
      <?php do_action( 'vs_post_content_end' ); ?>

      <?php
      $post_date = get_theme_mod( 'post_date', 1 );
      $post_categorys = get_theme_mod( 'post_categorys', 1 );
      $post_comments = get_theme_mod( 'post_comments', 1 );
      $post_tags = get_theme_mod( 'post_tags', 1 );
      if ( $post_date || $post_categorys || $post_comments || $post_tags ) {
      ?>
      <footer class="entry-footer clearfix">
        <?php
        if ( $post_date || $post_categorys || $post_comments ) {
        ?>
        <div class="entry-meta">
          <?php
          if ( $post_date || $post_categorys ) {
          ?>
          <div class="entry-meta-inner">
            <?php
            if ( $post_date ) { vs_get_meta_date(); }
            if ( $post_categorys ) { vs_get_meta_categorys(); }
            ?>
          </div>
          <?php
          }
          if ( $post_comments ) {
          ?>
          <div class="entry-meta-inner">
            <?php
            if ( $post_comments ) { vs_get_meta_comments(); }
            ?>
          </div>
          <?php
          }
          ?>
        </div>
        <?php
        }
        if ( $post_tags && get_the_tag_list() ) {
        ?>
        <div class="entry-meta">
          <div class="entry-meta-inner">
            <?php
            if ( $post_tags ) { vs_get_meta_tags(); }
            ?>
          </div>
        </div>
        <?php
        }
        ?>
      </footer>
      <?php
      }
      ?>
  </div>
</article>
